import * as Vite from 'vite';
import * as Stylelint from 'stylelint';

type FilterPattern = string | string[];
type StylelintLinterOptions = Partial<Stylelint.LinterOptions>;
type StylelintFormatter = Exclude<StylelintLinterOptions['formatter'], string | undefined>;
type StylelintFormatterType = Exclude<StylelintLinterOptions['formatter'], StylelintFormatter | undefined>;
interface StylelintPluginOptions extends StylelintLinterOptions {
    dev: boolean;
    build: boolean;
    cache: boolean;
    cacheLocation: string;
    include: FilterPattern;
    exclude: FilterPattern;
    stylelintPath: string;
    formatter: StylelintFormatterType | StylelintFormatter;
    lintInWorker: boolean;
    lintOnStart: boolean;
    chokidar: boolean;
    emitError: boolean;
    emitErrorAsWarning: boolean;
    emitWarning: boolean;
    emitWarningAsError: boolean;
}
type StylelintPluginUserOptions = Partial<StylelintPluginOptions>;

declare function StylelintPlugin(userOptions?: StylelintPluginUserOptions): Vite.Plugin;

export { StylelintPluginOptions, StylelintPluginUserOptions, StylelintPlugin as default };
