'use strict';

const node_worker_threads = require('node:worker_threads');
const utils = require('./shared/vite-plugin-stylelint.140c9ecc.cjs');
require('node:path');
require('chokidar');
require('tty');
require('@rollup/pluginutils');

var _a, _b;
const { options } = node_worker_threads.workerData;
let stylelint;
let formatter;
let lintFiles;
let watcher;
(async () => {
  const result = await utils.initialStylelint(options);
  stylelint = result.stylelint;
  formatter = result.formatter;
  lintFiles = utils.getLintFiles(stylelint, formatter, options);
  if (options.chokidar) {
    watcher = utils.getWatcher(lintFiles, options);
  }
})();
(_a = node_worker_threads.parentPort) == null ? void 0 : _a.on("message", async (files) => {
  lintFiles(files);
});
(_b = node_worker_threads.parentPort) == null ? void 0 : _b.on("close", async () => {
  if (watcher == null ? void 0 : watcher.close) {
    await watcher.close();
  }
});
