import { parentPort, workerData } from 'node:worker_threads';
import { i as initialStylelint, b as getWatcher, d as getLintFiles } from './shared/vite-plugin-stylelint.8a1a2f6f.mjs';
import 'node:path';
import 'chokidar';
import 'tty';
import '@rollup/pluginutils';

var _a, _b;
const { options } = workerData;
let stylelint;
let formatter;
let lintFiles;
let watcher;
(async () => {
  const result = await initialStylelint(options);
  stylelint = result.stylelint;
  formatter = result.formatter;
  lintFiles = getLintFiles(stylelint, formatter, options);
  if (options.chokidar) {
    watcher = getWatcher(lintFiles, options);
  }
})();
(_a = parentPort) == null ? void 0 : _a.on("message", async (files) => {
  lintFiles(files);
});
(_b = parentPort) == null ? void 0 : _b.on("close", async () => {
  if (watcher == null ? void 0 : watcher.close) {
    await watcher.close();
  }
});
